VARKON Version 1.15 1997-10-24

> ## gettopp - Procedure

> Get topological patch from GM
> Description
> Reads topological patch data from GM.
> Syntax
> gettopp(sur_id, iu, iv, geo_type, u1, u2, v1, v2)

> REF | sur_id;
> INT | iu;
> INT | iv;
> INT | geo_type;
> FLOAT | u1;
> FLOAT | v1;
> FLOAT | u2;
> FLOAT | v2;

> Principal parameters

> sur_id | - Global identity of surface to which the patch belongs
> iu | - Patch number in U direction
> iv | - Patch number in V direction
> geo_type | - The kind of corresponding geometrical patch
> u1 | - Start parameter value in U direction
> u2 | - End parameter value in U direction
> v1 | - Start parameter value in V direction
> v2 | - End parameter value in V direction

> Optional parameters
> None.
> Comments
> The patch address for the start patch is (iu,iv)= (1,1).
> Patch parameter values are normally u1= 0.0, v1= 1.0, v1= 0.0 and v2= 1.0 but values may be different for trimmed patches.
> Geometrical patches may be of the following types:
> 0 = Null patch
> 1 = Non rational bicubic
> 2 = Rational bicubic
> 3 = Conic lofting
> 4 = Plane facett
> 5 = Topological
> 6 = Procedural
> 7 = Coons
> 8 = Consurf

VARKON Homepage | Index